LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Networking
User Name
Password
Linux - Networking This forum is for any issue related to networks or networking.
Routing, network cards, OSI, etc. Anything is fair game.

Notices

Reply
 
Search this Thread
Old 12-12-2012, 05:08 AM   #1
mrohini
LQ Newbie
 
Registered: Oct 2012
Posts: 9

Rep: Reputation: Disabled
Error during GPSR installation in NS2


After adding patchfile according to the instructions given by you,am getting following error when i run make after make clean.
In file included from tools/random.cc:40:
./config.h:60:19: error: tclcl.h: No such file or directory
In file included from tools/random.h:42,
from tools/random.cc:41:
tools/rng.h:343: error: ‘FILE’ has not been declared
make: *** [tools/random.o] Error 1
please give me solution to this problem...
THANQ...
 
Old 12-12-2012, 06:07 AM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,522

Rep: Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503
Which GPSR patch ? A link please.
? http://www.cs.binghamton.edu/~kliu/r...ndex.html#gpsr ?
Or ?

And which version of ns-allinone-2.xx ?


GPSR links #5 http://www.linuxquestions.org/questi...hp?p=4847675#5

.

Last edited by knudfl; 12-12-2012 at 06:44 AM.
 
Old 12-12-2012, 09:12 AM   #3
mrohini
LQ Newbie
 
Registered: Oct 2012
Posts: 9

Original Poster
Rep: Reputation: Disabled
GPSR Patch file link:http://www.cn.uni-duesseldorf.de/alu.../hls-ns2-patch
ns2 version:ns2.29
 
Old 12-12-2012, 10:15 AM   #4
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,522

Rep: Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503
http://www.cn.uni-duesseldorf.de/alu.../hls-ns2-patch
Installing ns-allinone-2.29.3 + the GPSR-hls patch on Fedora :
1) tar xvf ns-allinone-2.29.3.tar.gz
2) cd ns-allinone-2.29/ns-2.29/
3) zcat ns2-hls-patch.tar.gz | patch -p1 : EDIT : See post # 11.
4) cd ../
5) export CC=gcc34 CXX=g++34 && ./install
... and the binary "ns" is created.

Last edited by knudfl; 12-20-2012 at 11:31 AM.
 
Old 12-14-2012, 12:04 PM   #5
mrohini
LQ Newbie
 
Registered: Oct 2012
Posts: 9

Original Poster
Rep: Reputation: Disabled
Installation of gpsr in ns2

when I entered ./install from ns-allinone2.29 folder,following error is occured

Tcl.cc: In member function ‘void Tcl::eval(char*)’:
Tcl.cc:182: warning: deprecated conversion from string constant to ‘char*’
Tcl.cc: In member function ‘int TclObject::traceVar(const char*, TclObject*)’:
Tcl.cc:421: warning: deprecated conversion from string constant to ‘char*’
Tcl.cc: In static member function ‘static int TclClass::create_shadow(void*, Tcl_Interp*, int, const char**)’:
Tcl.cc:509: warning: deprecated conversion from string constant to ‘char*’
Tcl.cc:511: warning: deprecated conversion from string constant to ‘char*’
Tcl.cc: In static member function ‘static int TclClass::dispatch_instvar(void*, Tcl_Interp*, int, const char**)’:
Tcl.cc:566: error: invalid conversion from ‘const char*’ to ‘char*’
Tcl.cc:571: warning: deprecated conversion from string constant to ‘char*’
Tcl.cc: In member function ‘virtual void TclClass::bind()’:
Tcl.cc:603: warning: deprecated conversion from string constant to ‘char*’
Tcl.cc:605: warning: deprecated conversion from string constant to ‘char*’
make: *** [Tcl.o] Error 1
tclcl-1.17 make failed! Exiting ...

how to resolve this error
 
Old 12-14-2012, 12:24 PM   #6
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,522

Rep: Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503
# 5

Well, the build command isn't simply ./install

but : 'export CC=gcc34 CXX=g++34 && ./install'


Required is : # yum install compat-gcc-34-c++

All prerequisites : # yum install \
gcc-c++ compat-gcc-34-c++ automake autoconf libtool libX11-devel \
libXext-devel libXau-devel libXmu-devel xorg-x11-proto-devel

.
 
Old 12-15-2012, 03:31 AM   #7
mrohini
LQ Newbie
 
Registered: Oct 2012
Posts: 9

Original Poster
Rep: Reputation: Disabled
INSTALLATION OF GPSR in NS2

will u plz give me the correct link from where I have to download ns2.29.3. the file which i was downloaded was getting 3errors at the the time of extract.
one more doubt is.... is it possible to install gpsr from the given procedure.you said that both gpsr and ns2 will get installed.is it possible????
is there any other simple procedure to install gpsr along with ns2???
 
Old 12-15-2012, 07:49 AM   #8
mrohini
LQ Newbie
 
Registered: Oct 2012
Posts: 9

Original Poster
Rep: Reputation: Disabled
ERROR IN Tcl.cc

when i entered "export CC=gcc34 CXX=g++34 && ./install" from ns-allinone-2.29 folder am getting following error

creating cache ./config.cache
checking whether to use symlinks for manpages... no
checking whether to compress the manpages... no
checking whether to add a package name suffix for the manpages... no
checking for gcc... gcc34
checking whether the C compiler (gcc34 ) works... no
configure: error: installation or configuration problem: C compiler cannot create executables.
tcl8.3.2 configuration failed! Exiting ...

reply me plz........
 
Old 12-15-2012, 09:10 AM   #9
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,522

Rep: Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503
# 8
Quote:
checking whether the C compiler (gcc34 ) works... no
configure: error: installation or configuration problem:
C compiler cannot create executables
The compiler is not installed (correctly). Please try again :
# yum install gcc-c++ compat-gcc-34-c++

... and afterwards check that the g++, gcc34, g++34 binaries are present :
1) $ rpm -qa | grep gcc-34
2) $ which gcc34
3) $ which g++34
4) $ ls /usr/bin/gcc*
5) $ ls /usr/bin/g++* ( Both g++ and g++34 must be present.)
And : Please tell if you are not installing with yum.
A dependency could be missing ?
( glibc-devel, glibc-common, glibc-headers, kernel-headers ? )

# 7 : Google .. ns-allinone-2.29.3.tar.gz .. → the first hit is
http://sourceforge.net/projects/nsna...allinone-2.29/
> http://heanet.dl.sourceforge.net/pro...-2.29.3.tar.gz

.
 
Old 12-15-2012, 09:21 AM   #10
mrohini
LQ Newbie
 
Registered: Oct 2012
Posts: 9

Original Poster
Rep: Reputation: Disabled
Error in patchfile

when zcat ns2-hls-patch.tar.gz | patch -p1 is entered then error is as follows
patching file ../ns-2.29-hls_working/ns-2.29/tcl/mobility/gpsr.tcl
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file ../ns-2.29-hls_working/ns-2.29/tcl/mobility/gpsr.tcl.rej
patching file trace/cmu-trace.cc
Reversed (or previously applied) patch detected! Assume -R? [n] y
patching file trace/cmu-trace.h
Reversed (or previously applied) patch detected! Assume -R? [n] y

Reply me...
 
Old 12-16-2012, 12:43 PM   #11
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,522

Rep: Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503
# 9, # 10.

Better : patch -p1 < <path to ns-2.29-hls.patch>
I guess that it was pure luck that I got no errors,
as the ns2-hls-patch.tar.gz contains 3 files.

Suggest : Do not try to patch the same ns-allinone-2.29/ more than one time.
Delete ns-allinone-2.29/ or use a new directory for a new unpacked ns-allinone-2.29.3.tar.gz


LQ, GPSR-hls http://www.linuxquestions.org/questi...526/page2.html


.

Last edited by knudfl; 12-16-2012 at 12:46 PM.
 
Old 12-27-2012, 03:50 AM   #12
mrohini
LQ Newbie
 
Registered: Oct 2012
Posts: 9

Original Poster
Rep: Reputation: Disabled
Generating Graphs

I added gpsr patch file successfully in ns2.29.how can I generate graphs for .tcl files.I executed hls.tcl file which is in ns2.29 folder.I got hls.tr file as output file.But I have to generate graphs for that files.what's the procedure for generating graphs????
 
  


Reply

Tags
gpsr, gpsr-hls


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Code of GPSR for ns2.33 or ns2.35 monikagoyal Linux - Software 31 04-26-2013 12:13 PM
NS2.26/TCP installation error? japz20 Linux - Newbie 6 01-16-2013 03:27 AM
GPSR installation mrohini Linux - Networking 1 10-15-2012 04:33 AM
NS2.34 Installation error in Fedora 15 reene.g Linux - Newbie 5 10-04-2011 08:05 AM
NS2 Installation Error ajkannan83 Linux - General 2 01-01-2010 03:35 AM


All times are GMT -5. The time now is 02:38 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration